package com.miaxis.school.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * pc驾校返回对象
 *
 * @author WWL
 * @date 2020-1-18
 */
@Data
@ApiModel(value = "SchoolInfoPcVO", description = "pc驾校返回对象")
public class SchoolInfoPcVO {

    /**
     * 驾校全国统一编号
     */
    @TableId(value = "inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /**
     * 驾校名称
     */
    @TableField("name")
    @ApiModelProperty(value = "驾校名称")
    private String name;

    /**
     * 驾校简称
     */
    @TableField("sname")
    @ApiModelProperty(value = "驾校简称")
    private String sname;

    /**
     * 驾校地址
     */
    @TableField("address")
    @ApiModelProperty(value = "驾校地址")
    private String address;

    /**
     * 经营负责人
     */
    @TableField("responsible_person")
    @ApiModelProperty(value = "经营负责人")
    private String responsiblePerson;

    /**
     * 行政区划名称
     */
    @TableField("area_name")
    @ApiModelProperty(value = "行政区划名称")
    private String areaName;


    /**
     * 驾校电话
     */
    @TableField("tel")
    @ApiModelProperty(value = "驾校电话")
    private String tel;


    /**
     * 注册日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("registration_date")
    @ApiModelProperty(value = "注册日期")
    private Date registrationDate;

    /**
     * 当前信用得分
     */
    @TableField("credibility_score")
    @ApiModelProperty(value = "当前信用得分")
    private String credibilityScore;


    /**
     * 逻辑删除标识（1：是；0：否）
     */
    @TableField("removed")
    @ApiModelProperty(value = "逻辑删除标识（1：是；0：否）")
    private Long removed;




}
